Campaigns

GET /public/v1/import-jobs/{jobId}

Check the status of a prospect import job created via add-lead-to-campaign. Workspace admins and owners can access import jobs for other workspace members.

GET /public/v1/import-jobs/{jobId}

GET /public/v1/import-jobs/{jobId}

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/import-jobs/{JOBID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "importJob": {
      "id": "<string>",
      "campaign_id": "<string>",
      "status": "<string>",
      "fetch_type": "<string>",
      "total_prospects": 1,
      "created_at": "<string>",
      "started_at": "<string>",
      "completed_at": "<string>",
      "error_message": "<string>",
      "items": [
        {}
      ]
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • jobId string required

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • importJob object
      + Show Child Attributes
      • id string
      • campaign_id string
      • status string
      • fetch_type string
      • total_prospects number
      • created_at string
      • started_at string nullable
      • completed_at string nullable
      • error_message string nullable
      • items[] object array
        + Show Child Attributes
        • id string
        • identifier string
        • status string
        • prospect_id string nullable
        • error_message string nullable
        • completed_at string nullable